Subject: Re: bug#21554: no previous prototype for 'set_binary_mode'

From: Paul Eggert <[email-masked]>
Date: Sat, 26 Sep 2015 07:35:32 -0700

Benno Schulenberg wrote:
> Maybe ./configure should detect the compiler version and
> automatically add --disable-gcc-warnings for old versions?

That would be one more hassle to maintain.  I'd rather not bother dealing with 
software archaeology.  Just configure with --disable-gcc-warnings.  Or you can 
remove your .git subdirectory, as it's likely to cause other such problems, as 
the assumption is that if you're using bleeding-edge sources you will have 
up-to-date tools.